Subject: Re: bug#9077: coreutils-8.12: fiemap.h uses "struct fiemap_extent fm_extents[0]; "

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Jul 2011 03:21:58 -0700

On 07/16/11 01:37, Pádraig Brady wrote:
> I guess this is because
> the array element is unpacked for the ioctl which
> is then failing kernel checks.

That's odd, since as far as I can see, ioctl should see exactly
the same bytes either way; the kernel doesn't know about the app's
array elements, and all it should care about are the bytes.

However, I've run out of ideas for debugging remotely.  Perhaps this
will have to wait until someone runs into the portability problem
that I am merely hypothesizing.  Thanks for looking into it, anyway.